Uploaded image for project: 'Kafka'
  1. Kafka
  2. KAFKA-12324

Upgrade jetty to fix CVE-2020-27218

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 2.7.0
    • Fix Version/s: 2.8.0, 2.7.1, 2.6.2
    • Component/s: None
    • Labels:
      None

      Description

      CVE-2020-27218 Detail

      In Eclipse Jetty version 9.4.0.RC0 to 9.4.34.v20201102, 10.0.0.alpha0 to 10.0.0.beta2, and 11.0.0.alpha0 to 11.0.0.beta2, if GZIP request body inflation is enabled and requests from different clients are multiplexed onto a single connection, and if an attacker can send a request with a body that is received entirely but not consumed by the application, then a subsequent request on the same connection will see that body prepended to its body. The attacker will not see any data but may inject data into the body of the subsequent request.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                dongjin Dongjin Lee
                Reporter:
                jrstacy John Stacy
              • Votes:
                0 Vote for this issue
                Watchers:
                3 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: